Name: x11-driver-video-rendition
Version: 4.2.1
Release: %mkrel 1
Summary: X.org driver for Rendition (Micron) Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-rendition-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-rendition is the X.org driver for Rendition (Micron) Cards.

%prep
%setup -q -n xf86-video-rendition-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/rendition_drv.la
%{_libdir}/xorg/modules/drivers/rendition_drv.so
%{_libdir}/xorg/modules/v20002d.uc
%{_libdir}/xorg/modules/v10002d.uc
%{_mandir}/man4/rendition.*


%changelog
* Thu Feb 26 2009 Thierry Vignaud <tvignaud@mandriva.com> 4.2.1-1mdv2009.1
+ Revision: 345054
- new release

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 4.2.0-3mdv2009.1
+ Revision: 308218
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.0-2mdv2009.0
+ Revision: 265925
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.2.0-1mdv2009.0
+ Revision: 194166
- Update to version 4.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.1.3-5mdv2008.1
+ Revision: 165588
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 4.1.3-4mdv2008.1
+ Revision: 156615
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.1.3-3mdv2008.1
+ Revision: 154841
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix to generate tarball from tag xf86-video-rendition-4.1.3, and generate
  patches from that point until mandriva branch.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 4.1.3-2mdv2008.1
+ Revision: 99042
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 4.1.3-1mdv2007.0
+ Revision: 116466
- new upstream version: 4.1.2

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 4.1.2-1mdv2007.1
+ Revision: 85950
- new release
- killing old sources
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

